Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 722218 - dev-python/autobahn-20.4.3 stabilization (python)
Summary: dev-python/autobahn-20.4.3 stabilization (python)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Brian Dolbec
URL:
Whiteboard:
Keywords: CC-ARCHES, STABLEREQ
Depends on: 719648 721822 722278 731436 733162
Blocks: EAPI5Removal python37-stable-needed
  Show dependency tree
 
Reported: 2020-05-10 19:28 UTC by John Helmert III
Modified: 2020-07-20 11:46 UTC (History)
1 user (show)

See Also:
Package list:
=dev-python/autobahn-20.4.3 arm arm64 =dev-python/txaio-20.4.1 arm arm64 =dev-python/pytest-asyncio-0.12.0 arm arm64 =dev-python/cbor-1.0.0-r1 arm64 =dev-python/lz4-3.0.2 arm64 =dev-python/msgpack-0.6.2 arm64 =dev-python/py-ubjson-0.16.1 arm64 =dev-python/pyqrcode-1.2.1-r1 arm64 =dev-python/pytrie-0.3.1-r1 arm64 =dev-python/snappy-0.5.1 arm64 =dev-python/ujson-3.0.0 arm64 =dev-python/wsaccel-0.6.2_p20170108 arm64 =dev-python/async_generator-1.10 arm arm64 =dev-python/pkgconfig-1.5.1 arm64 =dev-python/pypng-0.0.20 arm64
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Helmert III gentoo-dev Security 2020-05-10 19:28:41 UTC
18.3.1 is stable for amd64 and x86 but only supports Python 3.6. New version 20.4.3 supports Python 3.{7,8}. Please stabilize.
Comment 1 NATTkA bot gentoo-dev 2020-05-10 19:32:34 UTC
Sanity check failed:

> dev-python/autobahn-20.4.3
>   depend amd64 stable profile default/linux/amd64/17.0 (39 total)
>     >=dev-python/cbor2-5.1.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/flatbuffers-1.10.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/twisted-20.3.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/txaio-20.3.1[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   depend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     >=dev-python/cbor2-5.1.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/flatbuffers-1.10.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/twisted-20.3.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/txaio-20.3.1[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend amd64 stable profile default/linux/amd64/17.0 (39 total)
>     >=dev-python/cbor2-5.1.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/flatbuffers-1.10.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/twisted-20.3.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/txaio-20.3.1[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     >=dev-python/cbor2-5.1.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/flatbuffers-1.10.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/twisted-20.3.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/txaio-20.3.1[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
Comment 2 NATTkA bot gentoo-dev 2020-05-10 21:56:29 UTC
Resetting sanity check; keywords are not fully specified and arches are not CC-ed.
Comment 3 Brian Dolbec gentoo-dev 2020-05-10 22:09:40 UTC
I need to finish the new buildbot bump and do a bunch of testing.  I had to add several new dep packages to the tree for this latest autobahn release.

I will stabilize once, I can do some fairly thorough testing.
Comment 4 NATTkA bot gentoo-dev 2020-05-10 22:24:38 UTC
Unable to check for sanity:

> no match for package: dev-python/flatbuffers-1.10.0
Comment 5 NATTkA bot gentoo-dev 2020-05-10 22:28:32 UTC
Resetting sanity check; keywords are not fully specified and arches are not CC-ed.
Comment 6 NATTkA bot gentoo-dev 2020-06-05 14:52:44 UTC
Sanity check failed:

> dev-python/autobahn-20.4.3
>   depend arm stable profile default/linux/arm/17.0 (1 total)
>     >=dev-python/lz4-0.7.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     dev-python/pytest-asyncio[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   depend arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=dev-python/lz4-0.7.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     dev-python/pytest-asyncio[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend arm stable profile default/linux/arm/17.0 (1 total)
>     >=dev-python/lz4-0.7.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     >=dev-python/lz4-0.7.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   depend arm64 stable profile default/linux/arm64/17.0 (9 total)
>     >=dev-python/cbor-1.0.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/lz4-0.7.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/msgpack-0.6.1[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/py-ubjson-0.8.4[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/pyqrcode-1.1.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/pytrie-0.2[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/snappy-0.5[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/ujson-2.0.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/wsaccel-0.6.2[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     dev-python/pytest-asyncio[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend arm64 stable profile default/linux/arm64/17.0 (9 total)
>     >=dev-python/cbor-1.0.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/lz4-0.7.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/msgpack-0.6.1[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/py-ubjson-0.8.4[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/pyqrcode-1.1.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/pytrie-0.2[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/snappy-0.5[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/ujson-2.0.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/wsaccel-0.6.2[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-)]
Comment 7 Sam James archtester gentoo-dev Security 2020-06-05 14:54:27 UTC
Let's leave arm/64 out of it for now and come back when they've had more time in ~.
Comment 8 Sam James archtester gentoo-dev Security 2020-06-05 14:55:12 UTC
(In reply to Sam James (sec padawan) from comment #7)
> Let's leave arm/64 out of it for now and come back when they've had more
> time in ~.

(or just do it in a new bug another time, ofc.)
Comment 9 Sam James archtester gentoo-dev Security 2020-06-24 20:03:26 UTC
amd64, x86 ping
Comment 10 Sam James archtester gentoo-dev Security 2020-07-01 18:02:59 UTC
ping
Comment 11 NATTkA bot gentoo-dev 2020-07-06 22:49:19 UTC
Sanity check failed:

> dev-python/autobahn-20.4.3
>   depend amd64 stable profile default/linux/amd64/17.0 (28 total)
>     >=dev-python/lz4-0.7.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>   depend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     >=dev-python/lz4-0.7.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>   rdepend amd64 stable profile default/linux/amd64/17.0 (28 total)
>     >=dev-python/lz4-0.7.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>   rdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     >=dev-python/lz4-0.7.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
Comment 12 NATTkA bot gentoo-dev 2020-07-10 10:21:48 UTC
All sanity-check issues have been resolved
Comment 13 Brian Dolbec gentoo-dev 2020-07-18 02:02:30 UTC
cbor2, flatbuffers, stable allarches, autobahn, stable amd64 x86
Comment 14 NATTkA bot gentoo-dev 2020-07-18 02:05:05 UTC
Sanity check failed:

> dev-python/autobahn-20.4.3
>   depend arm stable profile default/linux/arm/17.0 (1 total)
>     dev-python/pytest-asyncio[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>   depend arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     dev-python/pytest-asyncio[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>   depend arm64 stable profile default/linux/arm64/17.0 (9 total)
>     >=dev-python/cbor-1.0.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>     >=dev-python/lz4-0.7.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>     >=dev-python/msgpack-0.6.1[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>     >=dev-python/py-ubjson-0.8.4[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>     >=dev-python/pyqrcode-1.1.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>     >=dev-python/pytrie-0.2[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>     >=dev-python/snappy-0.5[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>     >=dev-python/ujson-2.0.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>     >=dev-python/wsaccel-0.6.2[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>     dev-python/pytest-asyncio[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>   rdepend arm64 stable profile default/linux/arm64/17.0 (9 total)
>     >=dev-python/cbor-1.0.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>     >=dev-python/lz4-0.7.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>     >=dev-python/msgpack-0.6.1[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>     >=dev-python/py-ubjson-0.8.4[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>     >=dev-python/pyqrcode-1.1.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>     >=dev-python/pytrie-0.2[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>     >=dev-python/snappy-0.5[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>     >=dev-python/ujson-2.0.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>     >=dev-python/wsaccel-0.6.2[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
Comment 15 NATTkA bot gentoo-dev 2020-07-18 12:20:49 UTC
Unable to check for sanity:

> no match for package: =dev-python/py-ubjson-0.16.2
Comment 16 NATTkA bot gentoo-dev 2020-07-18 12:25:42 UTC
Sanity check failed:

> dev-python/pytest-asyncio-0.12.0
>   bdepend arm stable profile default/linux/arm/17.0 (10 total)
>     dev-python/async_generator[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>   bdepend arm dev profile default/linux/arm/17.0/armv4 (31 total)
>     dev-python/async_generator[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
> dev-python/lz4-3.0.2
>   depend arm64 stable profile default/linux/arm64/17.0 (9 total)
>     dev-python/pkgconfig[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
> dev-python/pyqrcode-1.2.1-r1
>   bdepend arm64 stable profile default/linux/arm64/17.0 (9 total)
>     dev-python/pypng[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
>   rdepend arm64 stable profile default/linux/arm64/17.0 (9 total)
>     dev-python/pypng[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-),python_targets_python3_8(-)]
Comment 17 NATTkA bot gentoo-dev 2020-07-20 01:57:32 UTC
Unable to check for sanity:

> no match for package: =dev-python/cbor-1.0.0
Comment 18 NATTkA bot gentoo-dev 2020-07-20 02:05:11 UTC
All sanity-check issues have been resolved
Comment 19 Sam James archtester gentoo-dev Security 2020-07-20 02:32:53 UTC
arm stable
Comment 20 Sam James archtester gentoo-dev Security 2020-07-20 11:45:55 UTC
arm64 stable, closing. Please cleanup for EAPI 5 removal.